package net.minecraft.src;

public class mod_CRBlocks extends BaseModMp
{
  public String Version()
  {
    return "1.7.3";
  } 
  public static final Block coalblock = new Blockcoalblock(141, 0).setHardness(2F).setResistance(5.0F).setBlockName("coalblock");
  public static final Block charcoalblock = new Blockcharcoalblock(141, 1).setHardness(2F).setResistance(5.0F).setBlockName("charcoalblock");
  public static final Block redstoneblock = new Blockredstoneblock(143, 0).setHardness(2F).setResistance(5.0F).setBlockName("redstoneblock");
  

  public mod_CRBlocks()
  {
    redstoneblock.blockIndexInTexture = ModLoader.addOverride("/terrain.png", "/CRBlocks/redstoneblock.png");
    coalblock.blockIndexInTexture = ModLoader.addOverride("/terrain.png", "/CRBlocks/coalblock.png");
    charcoalblock.blockIndexInTexture = ModLoader.addOverride("/terrain.png", "/CRBlocks/coalblock.png");
    ModLoader.RegisterBlock(coalblock);
    ModLoader.RegisterBlock(charcoalblock);
    ModLoader.RegisterBlock(redstoneblock);
    ModLoader.AddName(coalblock, "Coal Block");
    ModLoader.AddName(charcoalblock, "Charcoal Block");
    ModLoader.AddName(redstoneblock, "Redstone Block");
    
    ModLoader.AddRecipe(new ItemStack(coalblock, 1), new Object[] { 
      "SSS", "SSS", "SSS", Character.valueOf('S'), Item.coal });
    
    ModLoader.AddRecipe(new ItemStack(charcoalblock, 1), new Object[] { 
      "SSS", "SSS", "SSS", Character.valueOf('S'), Item.coal, Integer.valueOf(1) });
    
    ModLoader.AddRecipe(new ItemStack(redstoneblock, 1), new Object[] { 
      "SSS", "SSS", "SSS", Character.valueOf('S'), Item.redstone });
    
    ModLoader.AddRecipe(new ItemStack(Item.redstone, 9), new Object[] { 
      "S", Character.valueOf('S'), redstoneblock });
    
    ModLoader.AddRecipe(new ItemStack(Item.coal, 9), new Object[] { 
      "S", Character.valueOf('S'), coalblock });
    
    ModLoader.AddRecipe(new ItemStack(Item.coal, 1, 1), new Object[] { 
      "S", Character.valueOf('S'), charcoalblock, Integer.valueOf(1) });
    
    ModLoader.AddAchievementDesc(achMakeCBlock, "Coal Block", "Make a coal block.");
    ModLoader.AddAchievementDesc(achMakeRBlock, "Redstone Block", "Make a redstone block.");
  } 
  public static final Achievement achMakeCBlock = new Achievement(3450, "achMakeCBlock", 10, 2, coalblock, AchievementList.buildBetterPickaxe).registerAchievement();
  public static final Achievement achMakeRBlock = new Achievement(3452, "achMakeRBlock", -10, -2, redstoneblock, AchievementList.acquireIron).registerAchievement();
  
  public void TakenFromCrafting(EntityPlayer entityplayer, ItemStack itemstack) {
    if (itemstack.itemID == coalblock.blockID)
    {
      entityplayer.addStat(achMakeCBlock, 1); } 
    if (itemstack.itemID == charcoalblock.blockID)
    {
      entityplayer.addStat(achMakeCBlock, 1); } 
    if (itemstack.itemID == redstoneblock.blockID)
    {
      entityplayer.addStat(achMakeRBlock, 1);
    } 
  } 
} 